Is it possible to insert more advanced html5 + Js in TinyMce?

Vote:
 

My client want to change their flash-banners to html5+javascript based banners but tinyMce doesn't really like <script>-block and the javascript-code gets mangled.


I've tried adding "extended_valid_elements : script[src|type|language]" to our EditorInitConfigurationOptions in our TinyMCEPluginNonVisual-EditorSettingsclass but that only crashed the OnPage edit-mode.

I'm aware that there's a reason why you really shouldn't be able to write js-code in tinyMce but if there's some work around that would be great!

#76791
Nov 01, 2013 14:38
Vote:
 
#76799
Nov 01, 2013 19:25
Vote:
 

That link is goes to an 404 page?!

#76822
Nov 04, 2013 8:57
Vote:
 

Wierd. Go to the documentation page and the Properties section and read the "using string properties".

#76823
Nov 04, 2013 9:04
Vote:
 

Thank you! How silly of me to not have tought about that in the first place :)

#76825
Nov 04, 2013 10:46
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.